#!/bin/bash
FQDN_LOCATION="/var/tmp/FQDN"
OLD_FQDN=""
if [ -e $FQDN_LOCATION ] ; then
    OLD_FQDN=`sudo cat $FQDN_LOCATION`
fi
NEW_FQDN=$(ec2metadata --public-hostname)

# don't run on first boot
if [ -e $FQDN_LOCATION ] ; then

    #sleep for two minutes to make sure iRODS is up and running
    sleep 2m

    # update the resource host information
    sudo -u irods bash -c "iadmin modresc demoResc host $NEW_FQDN"
fi

# write it down
echo $NEW_FQDN > $FQDN_LOCATION
